TypeOfSchedule (The Data Transfer Scheduler DB interface 2.0.0-SNAPSHOT API)
Date: 2014-01-17

org.gcube.datatransfer.scheduler.db.model

## Class TypeOfSchedule

- java.lang.Object
- - org.gcube.datatransfer.scheduler.db.model.TypeOfSchedule

- All Implemented Interfaces:
    Serializable

      public class TypeOfSchedule
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `directedScheduled`
    `protected String` | `manuallyScheduledId`
    `protected String` | `periodicallyScheduledId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOfSchedule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getManuallyScheduledId()`
    `String` | `getPeriodicallyScheduledId()`
    `String` | `getTypeOfScheduleId()`
    `boolean` | `isDirectedScheduled()`
    `void` | `setDirectedScheduled(boolean directedScheduled)`
    `void` | `setManuallyScheduledId(String manuallyScheduledId)`
    `void` | `setPeriodicallyScheduledId(String periodicallyScheduledId)`
    `void` | `setTypeOfScheduleId(String typeOfScheduleId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### directedScheduled

          protected boolean directedScheduled

    - #### manuallyScheduledId

          protected String manuallyScheduledId

    - #### periodicallyScheduledId

          protected String periodicallyScheduledId

  - ### Constructor Detail

    - #### TypeOfSchedule

          public TypeOfSchedule()

  - ### Method Detail

    - #### isDirectedScheduled

          public boolean isDirectedScheduled()

    - #### setDirectedScheduled

          public void setDirectedScheduled(boolean directedScheduled)

    - #### getManuallyScheduledId

          public String getManuallyScheduledId()

    - #### setManuallyScheduledId

          public void setManuallyScheduledId(String manuallyScheduledId)

    - #### getPeriodicallyScheduledId

          public String getPeriodicallyScheduledId()

    - #### setPeriodicallyScheduledId

          public void setPeriodicallyScheduledId(String periodicallyScheduledId)

    - #### getTypeOfScheduleId

          public String getTypeOfScheduleId()

    - #### setTypeOfScheduleId

          public void setTypeOfScheduleId(String typeOfScheduleId)

Copyright © 2014. All Rights Reserved.